/* Nintendulator - Win32 NES emulator written in C++
 * Copyright (C) 2002-2010 QMT Productions
 *
 * $URL: https://nintendulator.svn.sourceforge.net/svnroot/nintendulator/nintendulator/tags/release-0-970/src/States.h $
 * $Id: States.h 1016 2010-01-03 00:57:33Z quietust $
 */

#ifndef STATES_H
#define STATES_H

#define	STATES_VERSION	"0970"
#define	STATES_BETA	"0965"
#define	STATES_PREV	"0960"

namespace States
{
extern TCHAR BaseFilename[MAX_PATH];
extern int SelSlot;

void	Init (void);
void	SetFilename (TCHAR *);
void	SetSlot (int Slot);
int	SaveData (FILE *);
BOOL	LoadData (FILE *, int);
void	SaveState (void);
void	LoadState (void);
} // namespace States
#endif	/* !STATES_H */
